Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class OrderBy

    java.lang.Object
      com.ibm.websphere.query.base.OrderBy

All Implemented Interfaces:
  IOrderBy, IStringBuilder, java.io.Serializable

    public class OrderBy

extends java.lang.Object
implements IOrderBy

The OrderBy class represents the order by part of a select query in the query framework.

This class contains a list of order by expressions to describe a typical order by clause in a query.

See Also:
  Serialized Form

Constructor Summary
`OrderBy()` Creates a new OrderBy instance, default constructor.
`OrderBy(IOrderByExpression orderByExpression)` Creates a new OrderBy instance with the given order by expression.
`OrderBy(IOrderByExpression[] orderByExpressions)` Creates a new OrderBy instance with the given array of order by expressions.

Method Summary
`void` | `addOrderByExpression(IOrderByExpression orderByExpression)` Adds an order by expression to the order by expression vector.
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string for the order by.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`boolean` | `equals(java.lang.Object o)` Tests for equality with the given object.
`IOrderByExpression[]` | `getOrderByExpressions()` Returns the order by expressions as an array.
`int` | `hashCode()` Computes a hash code for the order by.
`void` | `setOrderByExpression(IOrderByExpression newOrderByExpression)` Sets the order by expression of the order by.
`void` | `setOrderByExpressions(IOrderByExpression[] newOrderByExpressions)` Sets the order by expressions of the order by.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderBy

    public OrderBy()

  Creates a new OrderBy instance, default constructor.

### OrderBy

    public OrderBy(IOrderByExpression[] orderByExpressions)

  Creates a new OrderBy instance with the given array of order by expressions.

### OrderBy

    public OrderBy(IOrderByExpression orderByExpression)

  Creates a new OrderBy instance with the given order by expression.

Method Detail

### addOrderByExpression

    public void addOrderByExpression(IOrderByExpression orderByExpression)

  Adds an order by expression to the order by expression vector.

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Builds a query string for the order by.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### equals

    public boolean equals(java.lang.Object o)

  Tests for equality with the given object.

  Overrides:
    `equals` in class `java.lang.Object`

### getOrderByExpressions

    public IOrderByExpression[] getOrderByExpressions()

  Returns the order by expressions as an array.

  Specified by:
    `getOrderByExpressions` in interface `IOrderBy`

### hashCode

    public int hashCode()

  Computes a hash code for the order by.

  Overrides:
    `hashCode` in class `java.lang.Object`

### setOrderByExpression

    public void setOrderByExpression(IOrderByExpression newOrderByExpression)

  Sets the order by expression of the order by.

### setOrderByExpressions

    public void setOrderByExpressions(IOrderByExpression[] newOrderByExpressions)

  Sets the order by expressions of the order by.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD